import request from '@/utils/request'

// 查询工程信息列表
export function listProjectInfo(query) {
  return request({
    url: '/cons/projectInfo/list',
    method: 'get',
    params: query
  })
}

export function listAllProjectInfo(query) {
  return request({
    url: '/cons/projectInfo/list/all',
    method: 'get',
    params: query
  })
}

// 查询工程信息详细
export function getProjectInfo(id) {
  return request({
    url: '/cons/projectInfo/' + id,
    method: 'get'
  })
}

// 新增工程信息
export function addProjectInfo(data) {
  return request({
    url: '/cons/projectInfo',
    method: 'post',
    data: data
  })
}

// 修改工程信息
export function updateProjectInfo(data) {
  return request({
    url: '/cons/projectInfo',
    method: 'put',
    data: data
  })
}

// 删除工程信息
export function delProjectInfo(id) {
  return request({
    url: '/cons/projectInfo/' + id,
    method: 'delete'
  })
}
